Package com.destroystokyo.paper.event.profile

# Class PreFillProfileEvent

java.lang.Object
org.bukkit.event.Event
com.destroystokyo.paper.event.profile.PreFillProfileEvent

public class PreFillProfileEvent extends Event
Fired when the server is requesting to fill in properties of an incomplete profile, such as textures. Allows plugins to pre populate cached properties and avoid a call to the Mojang API

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`PreFillProfileEvent(@NotNull PlayerProfile profile)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull PlayerProfile`
`getPlayerProfile()`
`void`
`setProperties(@NotNull Collection<ProfileProperty> properties)`
Sets the properties on the profile, avoiding the call to the Mojang API Same as .getPlayerProfile().setProperties(properties);

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PreFillProfileEvent

public PreFillProfileEvent(@NotNull @NotNull PlayerProfile profile)

## Method Details

### getPlayerProfile

@NotNull public @NotNull PlayerProfile getPlayerProfile()

Returns:
  The profile that needs its properties filled

### setProperties

public void setProperties(@NotNull @NotNull Collection<ProfileProperty> properties)
Sets the properties on the profile, avoiding the call to the Mojang API Same as .getPlayerProfile().setProperties(properties);

Parameters:
  `properties` - The properties to set/append
See Also:
  - `PlayerProfile.setProperties(Collection)`

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()